dlamrg.f(3)

NAME
dlamrg.f -

SYNOPSIS

  Functions/Subroutines
subroutine DLAMRG (N1, N2, A, DTRD1, DTRD2, INDEX)
DLAMRG

Function/Subroutine Documentation

  subroutine DLAMRG (INTEGERN1, INTEGERN2, DOUBLE PRECISION, dimension( * )A, INTEGERDTRD1, INTEGERDTRD2, INTEGER, dimension( * )INDEX)

DLAMRG

Purpose:

     DLAMRG will create a permutation list which will merge the elements
     of A (which is composed of two independently sorted sets) into a
     single set which is sorted in ascending order.

Parameters:
    N1

              N1 is INTEGER

    N2

              N2 is INTEGER
             These arguements contain the respective lengths of the two
             sorted lists to be merged.

    A

              A is DOUBLE PRECISION array, dimension (N1+N2)
             The first N1 elements of A contain a list of numbers which
             are sorted in either ascending or descending order.  Likewise
             for the final N2 elements.

    DTRD1

              DTRD1 is INTEGER

    DTRD2

              DTRD2 is INTEGER
             These are the strides to be taken through the array A.
             Allowable strides are 1 and -1.  They indicate whether a
             subset of A is sorted in ascending (DTRDx = 1) or descending
             (DTRDx = -1) order.

    INDEX

              INDEX is INTEGER array, dimension (N1+N2)
             On exit this array will contain a permutation such that
             if B( I ) = A( INDEX( I ) ) for I=1,N1+N2, then B will be
             sorted in ascending order.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 100 of file dlamrg.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.